net.corda.node.services.transactions

## Class ClusterResponse.Signatures

- net.corda.node.services.transactions.BFTSMaRt.ClusterResponse
- - net.corda.node.services.transactions.BFTSMaRt.ClusterResponse.Signatures

- Enclosing class:
    BFTSMaRt.ClusterResponse

      public static class ClusterResponse.Signatures
      extends BFTSMaRt.ClusterResponse

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.services.transactions.BFTSMaRt.ClusterResponse

      `ClusterResponse.Error, ClusterResponse.Signatures`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Signatures(java.util.List<? extends net.corda.core.crypto.DigitalSignature> txSignatures)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.crypto.DigitalSignature>` | `getTxSignatures()`

- - ### Constructor Detail

    - #### Signatures

          public Signatures(java.util.List<? extends net.corda.core.crypto.DigitalSignature> txSignatures)

  - ### Method Detail

    - #### getTxSignatures

          public java.util.List<net.corda.core.crypto.DigitalSignature> getTxSignatures()